from gi.repository import Gtk, GdkPixbuf
from gettext import gettext as _
from utils import Utils
import widgets

class TahrirWindow(Gtk.ApplicationWindow):
    def __init__(self, app):
        Gtk.ApplicationWindow.__init__(self, application=app)
        self.set_title(_('Tahrir'))
        self.set_default_size(640,480)
        self.set_hide_titlebar_when_maximized(True)
        utils = Utils()
        self._dataFolder = utils.getDataFolder()
        self._setupView()

    def _setupView(self):
        builder = Gtk.Builder()
        self._layout = Gtk.Box()
        self._layout.set_orientation(Gtk.Orientation.VERTICAL)
        builder.add_from_file(self._dataFolder+'/toolbar.ui')
        self.toolbar = builder.get_object('toolbar')
        builder.add_from_file(self._dataFolder+'/Application.ui')
        box = builder.get_object('box')
        self.notebook = builder.get_object('notebook')
        builder.add_from_file(self._dataFolder+'/searchbar.ui')
        self.statusBar = builder.get_object('statusbar')
        welcomeScreen = widgets.WelcomeScreen()
        self.notebook.append_page(welcomeScreen.widget, Gtk.Label('Welcome Screen'))
        self.notebook.set_current_page(-1)

        self._layout.pack_start(self.toolbar, False, False, 0)
        self._layout.pack_start(box, True, True, 0)
        self._layout.pack_start(self.statusBar, False, False, 0)
        self.add(self._layout)
        self.show_all()

